import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';
import 'package:jeweled/ui/widgets/game.dart';
import 'package:jeweled/ui/widgets/parameters.dart';

class ScreenGame extends StatelessWidget {
  const ScreenGame({super.key});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: Column(
        children: <Widget>[
          const SizedBox(height: 8),
          BlocBuilder<GameCubit, GameState>(
            builder: (BuildContext context, GameState gameState) {
              return gameState.currentGame.isRunning ? const GameWidget() : const Parameters();
            },
          ),
        ],
      ),
    );
  }
}
